The local definition of BLKGETSIZE64 shouldn't use the sizeof() operator, since
that's implied by the definition of _IOR().

Apply with:
cd /usr/src/evms-2.2.0/
patch -p1 < md_main.c.patch

--- evms-2.2.0a/plugins/md/md_main.c	11 Nov 2003 21:58:33 -0000	1.32
+++ evms-2.2.0b/plugins/md/md_main.c	24 Nov 2003 22:05:18 -0000
@@ -357,7 +357,7 @@
 	return rc;
 }
 
-#define BLKGETSIZE64 _IOR(0x12,114,sizeof(u_int64_t))
+#define BLKGETSIZE64 _IOR(0x12,114,size_t)
 int md_ioctl_get_blk_size(storage_object_t *region, u_int64_t *size)
 {
 	int rc = 0, fd, ioctl_cmd;
